<?php

if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) exit;

function current_projects_delete_datas() {
    
    $current_projects_types = array('current_projects',);
        
    $current_projects_items = 
        get_posts(array(
		        'post_type'   => $current_projects_types,
		        'fields'      => 'ids',
		        'numberposts' => -1,
		        'post_status' => 'any',
	            ) 
	   ); 
    
    
    if ( $current_projects_items ) {
		foreach ( $current_projects_items as $current_projects_item ) {
		    wp_delete_post( $current_projects_item, true );
		}
	}
	
	$current_projects_metas = array('current_project_metabox_block', 'current_project_metabox_block1', 'current_project_metabox_block2', 'current_project_class2', 'current_project_class3', 'current_project_class5', 'current_project_class6' );
        
    $current_projects_metas1	= array(
		'post_type'           => $current_projects_types,
		'fields'              => 'ids',
		'posts_per_page'      => -1,
		'no_found_rows'       => true,
	);
	
	$current_projects_meta_query = new WP_Query( $current_projects_metas1 );  
	
	
	if ( ! empty( $current_projects_meta_query->posts ) ) {
		foreach ( $current_projects_meta_query->posts as $post_id ) {
			foreach ( $current_projects_metas as $current_projects_meta ) {
				delete_post_meta( $post_id, $current_projects_meta );
			}
		}
	}
	
	
	delete_option( 'widget_current_projects_widget' );
	remove_image_size('current_project_thumb');
}

current_projects_delete_datas();